import Vue from 'vue';

import Cookies from 'js-cookie';

import Element from 'element-ui';
import './assets/styles/element-variables.scss';

import '@/assets/styles/index.scss'; // global css
import '@/assets/styles/ruoyi.scss'; // ruoyi css
import App from './App';
import store from './store';
import router from './router';
import directive from './directive'; // directive
import plugins from './plugins'; // plugins

// 全局引用及配置
import './global';

import './assets/icons'; // icon
import './permission'; // permission control

// 头部标签组件
import VueMeta from 'vue-meta';

import Mixin from './mixins/Mixin';
Vue.mixin(Mixin);

import '@/utils/storage';

import Astrict from '@/utils/astrict';
Vue.use(Astrict);

Vue.use(directive);
Vue.use(plugins);
Vue.use(VueMeta);

Vue.use(Element, {
  size: Cookies.get('size') || 'small' // set element-ui default size
});

Vue.config.productionTip = false;

new Vue({
  el: '#app',
  router,
  store,
  render: (h) => h(App)
});
